image: node:10-alpine

stages:
        - setup
        - test

install:
        stage: setup
        script:
                - npm install

test:lint:
        stage: test
        script:
                - npm install
                - npm run check standard

test:unit:
        stage: test
        services:
                - mongo:3.4
        script:
                - npm install
                - npm test
